import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { PpUnicomUserInfo } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 15:11
 */
interface PpUnicomUserInfoCU extends ConditionUtil<PpUnicomUserInfoCU>{
    USER_ID:FieldUtil<PpUnicomUserInfoCU>;
    PHONE:FieldUtil<PpUnicomUserInfoCU>;
    COMMON_LPN:FieldUtil<PpUnicomUserInfoCU>;
    SCORE:FieldUtil<PpUnicomUserInfoCU>;
    CREATE_TIME:FieldUtil<PpUnicomUserInfoCU>;
    UPDATE_TIME:FieldUtil<PpUnicomUserInfoCU>;
}

class PpUnicomUserInfoCUImpl extends ConditionUtilImpl<PpUnicomUserInfoCUImpl> implements PpUnicomUserInfoCU{ 
    newInstance(): PpUnicomUserInfoCUImpl {
        return new PpUnicomUserInfoCUImpl();
    } 
    get USER_ID(): FieldUtil<PpUnicomUserInfoCU>{  
        return new FieldUtil('USER_ID','userId','', this);
    }
    get PHONE(): FieldUtil<PpUnicomUserInfoCU>{  
        return new FieldUtil('PHONE','phone','手机号', this);
    }
    get COMMON_LPN(): FieldUtil<PpUnicomUserInfoCU>{  
        return new FieldUtil('COMMON_LPN','commonLpn','普通车牌号', this);
    }
    get SCORE(): FieldUtil<PpUnicomUserInfoCU>{  
        return new FieldUtil('SCORE','score','联通积分', this);
    }
    get CREATE_TIME(): FieldUtil<PpUnicomUserInfoCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<PpUnicomUserInfoCU>{  
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', this);
    }
}

@Singleton 
class PpUnicomUserInfoMU extends TableUtilImpl<PpUnicomUserInfoCU,PpUnicomUserInfo>{ 
    tableName  = 'pp_unicom_user_info';
    tableFields  = ['USER_ID','PHONE','COMMON_LPN','SCORE','CREATE_TIME','UPDATE_TIME'];
    modelFields  = ['userId','phone','commonLpn','score','createTime','updateTime'];
    modelIdFields  = ['userId'];
    tableIdFields  = ['USER_ID'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): PpUnicomUserInfoCU {
        return new PpUnicomUserInfoCUImpl();
    }   

    static get USER_ID(): FieldUtil<PpUnicomUserInfoCU>{ 
        return new FieldUtil('USER_ID','userId','', new PpUnicomUserInfoCUImpl());
    }
    static get PHONE(): FieldUtil<PpUnicomUserInfoCU>{ 
        return new FieldUtil('PHONE','phone','手机号', new PpUnicomUserInfoCUImpl());
    }
    static get COMMON_LPN(): FieldUtil<PpUnicomUserInfoCU>{ 
        return new FieldUtil('COMMON_LPN','commonLpn','普通车牌号', new PpUnicomUserInfoCUImpl());
    }
    static get SCORE(): FieldUtil<PpUnicomUserInfoCU>{ 
        return new FieldUtil('SCORE','score','联通积分', new PpUnicomUserInfoCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<PpUnicomUserInfoCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new PpUnicomUserInfoCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<PpUnicomUserInfoCU>{ 
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', new PpUnicomUserInfoCUImpl());
    }

    get USER_ID(): FieldUtil<PpUnicomUserInfoCU>{ 
        return PpUnicomUserInfoMU.USER_ID;
    }
    get PHONE(): FieldUtil<PpUnicomUserInfoCU>{ 
        return PpUnicomUserInfoMU.PHONE;
    }
    get COMMON_LPN(): FieldUtil<PpUnicomUserInfoCU>{ 
        return PpUnicomUserInfoMU.COMMON_LPN;
    }
    get SCORE(): FieldUtil<PpUnicomUserInfoCU>{ 
        return PpUnicomUserInfoMU.SCORE;
    }
    get CREATE_TIME(): FieldUtil<PpUnicomUserInfoCU>{ 
        return PpUnicomUserInfoMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<PpUnicomUserInfoCU>{ 
        return PpUnicomUserInfoMU.UPDATE_TIME;
    }
}
export {PpUnicomUserInfoMU, PpUnicomUserInfoCU}
